summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-libs/marisa
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-libs/marisa')
-rw-r--r--dev-libs/marisa/Manifest1
-rw-r--r--dev-libs/marisa/files/marisa-0.2.4-python.patch15
-rw-r--r--dev-libs/marisa/marisa-0.2.4.ebuild85
-rw-r--r--dev-libs/marisa/metadata.xml5
4 files changed, 106 insertions, 0 deletions
diff --git a/dev-libs/marisa/Manifest b/dev-libs/marisa/Manifest
new file mode 100644
index 00000000000..7e4988066bd
--- /dev/null
+++ b/dev-libs/marisa/Manifest
@@ -0,0 +1 @@
+DIST marisa-0.2.4.tar.gz 502552 SHA256 67a7a4f70d3cc7b0a85eb08f10bc3eaf6763419f0c031f278c1f919121729fb3 SHA512 71aee3ae034d1ce725d986bef43472d61bd64f0af3ccda01bb019cce03f0872629b6a1b305e717056bef06e036372323b2a67e5dc69705d6a74e028b5e2553e4 WHIRLPOOL bf902c90b70bf81209e6e86fd15962c8ff7f811fb168fba0688200ab11f29c36199223311ea8d15a891fcb170745587cce7c2e3e4d2ed7e158af9d1d9841b3e4
diff --git a/dev-libs/marisa/files/marisa-0.2.4-python.patch b/dev-libs/marisa/files/marisa-0.2.4-python.patch
new file mode 100644
index 00000000000..fba0e016d47
--- /dev/null
+++ b/dev-libs/marisa/files/marisa-0.2.4-python.patch
@@ -0,0 +1,15 @@
+--- bindings/python/setup.py 2011-05-14 07:20:52.000000000 +0200
++++ bindings/python/setup.py 2013-08-02 17:04:16.423771834 +0200
+@@ -1,8 +1,10 @@
+ from distutils.core import setup, Extension
+
+ marisa_module = Extension("_marisa",
+- sources=["marisa-swig_wrap.cxx", "marisa-swig.cxx"],
+- libraries=["marisa"])
++ sources=["marisa-swig.i", "marisa-swig.cxx"],
++ swig_opts=["-c++"],
++ libraries=["marisa"], library_dirs=["../../lib/.libs"],
++ include_dirs=["../../lib"])
+
+ setup(name = "marisa",
+ ext_modules = [marisa_module],
diff --git a/dev-libs/marisa/marisa-0.2.4.ebuild b/dev-libs/marisa/marisa-0.2.4.ebuild
new file mode 100644
index 00000000000..e1e0cdbb768
--- /dev/null
+++ b/dev-libs/marisa/marisa-0.2.4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+DISTUTILS_OPTIONAL=1
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Matching Algorithm with Recursively Implemented StorAge"
+HOMEPAGE="https://code.google.com/p/marisa-trie/"
+SRC_URI="https://marisa-trie.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ~ppc ppc64 ~x86"
+IUSE="python doc static-libs cpu_flags_x86_sse2 cpu_flags_x86_sse3 cpu_flags_x86_ssse3 cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_sse4a cpu_flags_x86_popcnt"
+
+DEPEND="python? ( dev-lang/swig ${PYTHON_DEPS} )"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+
+# implied by --enable switches
+REQUIRED_USE="
+ cpu_flags_x86_popcnt? ( cpu_flags_x86_sse3 )
+ cpu_flags_x86_sse4a? ( cpu_flags_x86_popcnt cpu_flags_x86_sse3 )
+ cpu_flags_x86_sse4_2? ( cpu_flags_x86_popcnt cpu_flags_x86_sse4_1 )
+ cpu_flags_x86_sse4_1? ( cpu_flags_x86_ssse3 )
+ cpu_flags_x86_ssse3? ( cpu_flags_x86_sse3 )
+ cpu_flags_x86_sse3? ( cpu_flags_x86_sse2 )
+"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-python.patch"
+ if use python; then
+ pushd bindings/python || die
+ ln -sf ../marisa-swig.i marisa-swig.i || die
+ ln -sf ../marisa-swig.h marisa-swig.h || die
+ ln -sf ../marisa-swig.cxx marisa-swig.cxx || die
+ distutils-r1_src_prepare
+ popd || die
+ fi
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable cpu_flags_x86_sse3 sse3)
+ $(use_enable cpu_flags_x86_ssse3 ssse3)
+ $(use_enable cpu_flags_x86_sse4_1 sse4.1)
+ $(use_enable cpu_flags_x86_sse4_2 sse4.2)
+ # sse4 is just an alias to sse4.2
+ $(use_enable cpu_flags_x86_sse4a sse4a)
+ $(use_enable cpu_flags_x86_popcnt popcnt)
+ )
+ econf "${myeconfargs[@]}"
+
+ if use python; then
+ pushd bindings/python || die
+ distutils-r1_src_prepare
+ popd || die
+ fi
+}
+
+src_compile() {
+ default
+ if use python; then
+ pushd bindings/python || die
+ distutils-r1_src_compile
+ popd || die
+ fi
+}
+
+src_install() {
+ default
+ if use python; then
+ pushd bindings/python || die
+ distutils-r1_src_install
+ popd || die
+ fi
+ use doc && dohtml docs/readme.en.html
+ prune_libtool_files
+}
diff --git a/dev-libs/marisa/metadata.xml b/dev-libs/marisa/metadata.xml
new file mode 100644
index 00000000000..2d5852c16c6
--- /dev/null
+++ b/dev-libs/marisa/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>cjk</herd>
+</pkgmetadata>